#!/bin/bash

# This file is informative only

# We run mallet 2.0.7 with local extensions (not distributed)
# Our local extensions don't change the topic model but they allow for 
# additional output of information mallet has available internally

# Import using original mallet

bin/mallet import-dir --input rsc_v2.0  --output rsc_v2.0.mallet --keep-sequence --token-regex "\p{L}+" --skip-html --remove-stopwords --extra-stopwords rsc-extra-stopwords.txt

# this uses the extended mallet for additional output options

bin/malletE.sh train-topicsE  --input rsc_v2.0.mallet --num-topics 24 --output-topic-keys rsc_v2.0-24E-142-topic-keys.txt --output-doc-topics rsc_v2.0-24E-142-composition.txt --output-doc-topic-counts-file rsc_v2.0-24E-142-doc-topic-counts.txt --word-topic-counts-file rsc_v2.0-24E-142-word-topic-counts.txt --random-seed 142  --optimize-interval 50 --optimize-burn-in 500 --num-iterations 2000


